﻿// <auto-generated />
using System;
using GBW.Zemoga.TechnicalTest.Data.UnitsOfWork.EntityFramework.Contexts;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace GBW.Zemoga.TechnicalTest.WebApi.Migrations
{
    [DbContext(typeof(MainDBContext))]
    [Migration("20230301010700_2023-02-28_added_seed_users_of_all_roles")]
    partial class _20230228_added_seed_users_of_all_roles
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.AccessToken", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("LastRefreshTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("TokenDurationInMinutes")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("UserID")
                        .HasColumnType("char(36)");

                    b.Property<string>("UserName")
                        .IsRequired()
                        .HasMaxLength(60)
                        .HasColumnType("varchar(60)");

                    b.HasKey("ID");

                    b.HasIndex("UserID");

                    b.ToTable("AccessToken", (string)null);
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.Post", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasMaxLength(500)
                        .HasColumnType("varchar(500)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("OwnerUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("PublishDate")
                        .HasColumnType("datetime(6)");

                    b.Property<int>("SortOrder")
                        .HasColumnType("int");

                    b.Property<Guid>("StatusID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("SubmitDate")
                        .HasColumnType("datetime(6)");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(60)
                        .HasColumnType("varchar(60)");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.HasKey("ID");

                    b.HasIndex("OwnerUserID");

                    b.ToTable("Post", (string)null);
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostComment", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<Guid>("CommenterID")
                        .HasColumnType("char(36)");

                    b.Property<string>("Content")
                        .IsRequired()
                        .HasMaxLength(500)
                        .HasColumnType("varchar(500)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("PostID")
                        .HasColumnType("char(36)");

                    b.Property<int>("SortOrder")
                        .HasColumnType("int");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(60)
                        .HasColumnType("varchar(60)");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.HasKey("ID");

                    b.HasIndex("CommenterID");

                    b.HasIndex("PostID");

                    b.ToTable("PostComment", (string)null);
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostReview", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<Guid>("ActionID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<Guid>("PostID")
                        .HasColumnType("char(36)");

                    b.Property<string>("RejectionComment")
                        .HasMaxLength(500)
                        .HasColumnType("varchar(500)");

                    b.Property<Guid>("ReviewerID")
                        .HasColumnType("char(36)");

                    b.Property<int>("SortOrder")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.HasKey("ID");

                    b.HasIndex("ActionID");

                    b.HasIndex("PostID");

                    b.HasIndex("ReviewerID");

                    b.ToTable("PostReview", (string)null);
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostReviewAction", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(15)
                        .HasColumnType("varchar(15)");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.HasKey("ID");

                    b.ToTable("PostReviewAction", (string)null);

                    b.HasData(
                        new
                        {
                            ID = new Guid("92588cf0-5644-45f2-ac4c-7ecfaa911677"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Approve"
                        },
                        new
                        {
                            ID = new Guid("37d69614-9cd3-4775-8083-b11cdcf70ced"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Reject"
                        });
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostState", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(15)
                        .HasColumnType("varchar(15)");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.HasKey("ID");

                    b.ToTable("PostState", (string)null);

                    b.HasData(
                        new
                        {
                            ID = new Guid("23498051-9fe4-4e14-a127-9673cde56ff1"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Draft"
                        },
                        new
                        {
                            ID = new Guid("dd1a641a-4835-40bb-9755-51fb1bf672aa"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Pending"
                        },
                        new
                        {
                            ID = new Guid("53c3f7f6-86f2-4488-87da-0d0de056c785"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Approved"
                        },
                        new
                        {
                            ID = new Guid("d3585807-c805-4c53-a188-a8685990c82d"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Rejected"
                        });
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.User", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(60)
                        .HasColumnType("varchar(60)");

                    b.Property<bool>("IsActive")
                        .HasColumnType("tinyint(1)");

                    b.Property<string>("Password")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("varchar(100)");

                    b.Property<Guid>("RoleID")
                        .HasColumnType("char(36)");

                    b.Property<int>("SortOrder")
                        .HasColumnType("int");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.Property<string>("UserName")
                        .IsRequired()
                        .HasMaxLength(60)
                        .HasColumnType("varchar(60)");

                    b.HasKey("ID");

                    b.HasIndex("RoleID");

                    b.HasIndex("UserName")
                        .IsUnique();

                    b.ToTable("User", (string)null);

                    b.HasData(
                        new
                        {
                            ID = new Guid("83f4730a-3ed0-4693-b015-1d0abdf2f558"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Development Administrator",
                            IsActive = true,
                            Password = "56f862b6-133d-4a21-a3e0-41206ba325ea",
                            RoleID = new Guid("e6150285-f2d0-4ded-a12f-c6c173f99edb"),
                            SortOrder = 1,
                            UserName = "dev_admin"
                        },
                        new
                        {
                            ID = new Guid("b5f846f6-fe27-4e1a-b787-2e658984c4f1"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Writer 1",
                            IsActive = true,
                            Password = "1",
                            RoleID = new Guid("826f6672-9b73-4a43-94da-6f97ce6427f7"),
                            SortOrder = 2,
                            UserName = "writer_1"
                        },
                        new
                        {
                            ID = new Guid("3d06d0b7-6be2-4eff-8528-adccef660bed"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Writer 2",
                            IsActive = true,
                            Password = "2",
                            RoleID = new Guid("826f6672-9b73-4a43-94da-6f97ce6427f7"),
                            SortOrder = 3,
                            UserName = "writer_2"
                        },
                        new
                        {
                            ID = new Guid("23be9e88-62a2-48fe-acc0-3e9eb8294040"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Editor 1",
                            IsActive = true,
                            Password = "3",
                            RoleID = new Guid("3281a8b0-7559-4357-bebe-f5d4bd2381db"),
                            SortOrder = 4,
                            UserName = "editor_1"
                        },
                        new
                        {
                            ID = new Guid("26981d11-59dd-4e76-95cb-cb8309f72e6a"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Editor 2",
                            IsActive = true,
                            Password = "4",
                            RoleID = new Guid("3281a8b0-7559-4357-bebe-f5d4bd2381db"),
                            SortOrder = 5,
                            UserName = "editor_2"
                        },
                        new
                        {
                            ID = new Guid("98771b2c-72a1-4461-beeb-f2c1ac67e1cf"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Public 1",
                            IsActive = true,
                            Password = "5",
                            RoleID = new Guid("c4f1ef0e-4cbb-4861-af41-a4d589e82891"),
                            SortOrder = 6,
                            UserName = "public_1"
                        },
                        new
                        {
                            ID = new Guid("de3c1355-960b-40e9-9374-cdc97c71806f"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            DisplayName = "Public 2",
                            IsActive = true,
                            Password = "6",
                            RoleID = new Guid("c4f1ef0e-4cbb-4861-af41-a4d589e82891"),
                            SortOrder = 7,
                            UserName = "public_2"
                        });
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.UserRole", b =>
                {
                    b.Property<Guid>("ID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("char(36)");

                    b.Property<DateTime>("CreateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid>("CreateUserID")
                        .HasColumnType("char(36)");

                    b.Property<DateTime?>("DeleteTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("DeleteUserID")
                        .HasColumnType("char(36)");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(15)
                        .HasColumnType("varchar(15)");

                    b.Property<DateTime?>("UpdateTimestamp")
                        .HasColumnType("datetime(6)");

                    b.Property<Guid?>("UpdateUserID")
                        .HasColumnType("char(36)");

                    b.HasKey("ID");

                    b.ToTable("UserRole", (string)null);

                    b.HasData(
                        new
                        {
                            ID = new Guid("c4f1ef0e-4cbb-4861-af41-a4d589e82891"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Public"
                        },
                        new
                        {
                            ID = new Guid("826f6672-9b73-4a43-94da-6f97ce6427f7"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Writer"
                        },
                        new
                        {
                            ID = new Guid("3281a8b0-7559-4357-bebe-f5d4bd2381db"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Editor"
                        },
                        new
                        {
                            ID = new Guid("e6150285-f2d0-4ded-a12f-c6c173f99edb"),
                            CreateTimestamp = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            CreateUserID = new Guid("00000000-0000-0000-0000-000000000000"),
                            Name = "Administrator"
                        });
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.AccessToken", b =>
                {
                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.User", "User")
                        .WithMany()
                        .HasForeignKey("UserID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("User");
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.Post", b =>
                {
                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.User", "OwnerUser")
                        .WithMany()
                        .HasForeignKey("OwnerUserID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("OwnerUser");
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostComment", b =>
                {
                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.User", "Commenter")
                        .WithMany()
                        .HasForeignKey("CommenterID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.Post", "Post")
                        .WithMany("Comments")
                        .HasForeignKey("PostID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Commenter");

                    b.Navigation("Post");
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostReview", b =>
                {
                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.PostReviewAction", "Action")
                        .WithMany()
                        .HasForeignKey("ActionID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.Post", "Post")
                        .WithMany("Reviews")
                        .HasForeignKey("PostID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.User", "Reviewer")
                        .WithMany()
                        .HasForeignKey("ReviewerID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Action");

                    b.Navigation("Post");

                    b.Navigation("Reviewer");
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.User", b =>
                {
                    b.HasOne("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.UserRole", "Role")
                        .WithMany()
                        .HasForeignKey("RoleID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Role");
                });

            modelBuilder.Entity("GBW.Zemoga.TechnicalTest.Domain.DTOs.Entities.Post", b =>
                {
                    b.Navigation("Comments");

                    b.Navigation("Reviews");
                });
#pragma warning restore 612, 618
        }
    }
}
